## plasma-workspace 6.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-workspace)
set(PROJECT_VERSION "6.5.3")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.5.3")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)
option(INSTALL_SDDM_WAYLAND_SESSION OFF)
option(WITH_X11 "Build with X11 support. Building without is experimental" ON)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMQueryQt)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMGenerateQmlTypes)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PipeWire QUIET IMPORTED_TARGET libpipewire-0.3)
add_feature_info(PipeWire PipeWire_FOUND "Required for camera indicator applet and Wayland screencasting testing")
set(BUILD_CAMERAINDICATOR_DEFAULT OFF)
if(PipeWire_FOUND)
    set(BUILD_CAMERAINDICATOR_DEFAULT ON)
endif()
option(BUILD_CAMERAINDICATOR "Build the camera indicator Plasma applet" ${BUILD_CAMERAINDICATOR_DEFAULT})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
                    Concurrent Core5Compat DBus Location Network Positioning Quick QuickWidgets
                    ShaderTools Sql Svg Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
                    Archive Auth CoreAddons Crash DBusAddons Declarative GlobalAccel GuiAddons
                    Holidays I18n IconThemes IdleTime ItemModels KCMUtils KDED KIO NewStuff
                    Notifications NotifyConfig Package Parts Prison Runner StatusNotifierItem
                    Svg TextEditor TextWidgets Wallet ColorScheme
                    OPTIONAL_COMPONENTS DocTools)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KSysGuard ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(KSysGuard PROPERTIES
    DESCRIPTION "Components to monitor the system"
    TYPE REQUIRED
)
find_package(KF6Screen ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LayerShellQt ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test QuickTest)
    find_package(Qt6 REQUIRED CONFIG COMPONENTS WaylandCompositor)
endif()

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.10.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User KCM"
    TYPE RUNTIME
)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6NetworkManagerQt PROPERTIES
    DESCRIPTION "Qt wrapper for NetworkManager API"
    PURPOSE "Needed for location-based time zone changes."
    TYPE OPTIONAL
)

find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QuickCharts PROPERTIES
    DESCRIPTION "Used for rendering charts"
    TYPE RUNTIME
)

find_package(KF6UserFeedback)

find_package(KF6Baloo)
set_package_properties(KF6Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

pkg_check_modules(QALCULATE libqalculate>2.0 IMPORTED_TARGET)
set_package_properties(QALCULATE PROPERTIES
   DESCRIPTION "A library for calculations, used in runners/calculator"
   TYPE REQUIRED)
pkg_check_modules(DBus dbus-1 REQUIRED IMPORTED_TARGET)

find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)

# Used in kcm_autostart
pkg_check_modules(SYSTEMD "systemd")

find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt6 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE REQUIRED)

find_package(Breeze ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "https://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
        PROPERTIES DESCRIPTION "Software Manager integration"
        TYPE OPTIONAL
        PURPOSE "Used to install additional language packages on demand and integrate for offline updates"
)
option(PACKAGEKIT_OFFLINE_UPDATES "Integrate with PackageKit for offline updates" OFF)
add_feature_info(PACKAGEKIT_OFFLINE_UPDATES PackageKitQt6_FOUND "Integrate with PackageKit for offline updates")
set(PACKAGEKIT_OFFLINE_UPDATES ${PackageKitQt6_FOUND})

if(PLASMA_X11_DEFAULT_SESSION)
    set(WITH_X11 1)
endif()

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                            URL "https://www.x.org"
                            TYPE REQUIRED
                            PURPOSE "Required for building the X11 based workspace")
    function(check_X11_lib _lib)
        if (NOT TARGET X11::${_lib})
            message(SEND_ERROR "Required component ${_lib} of X11 was not found")
        endif()
    endfunction()
    check_X11_lib(ICE)
    check_X11_lib(SM)
    check_X11_lib(X11)
    check_X11_lib(Xau)
    check_X11_lib(Xcursor)
    check_X11_lib(Xfixes)
    check_X11_lib(Xft)
    check_X11_lib(Xrender)
    check_X11_lib(Xtst)

    set(HAVE_X11 1)
    set(HAVE_XCURSOR 1)
    set(HAVE_XFIXES 1)

    find_package(XCB MODULE REQUIRED COMPONENTS AUX XCB CURSOR RANDR IMAGE)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)

    find_package(KScreenLocker ${PROJECT_DEP_VERSION} REQUIRED)
else()
    set(HAVE_X11 0)
    set(HAVE_XCURSOR 0)
    set(HAVE_XFIXES 0)
endif()

# FreeBSD systems might have libxcrypt but their shadow equivalent doesn't use it
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    pkg_check_modules(libxcrypt libxcrypt>=4)
    if(libxcrypt_FOUND)
        set(HAVE_CRYPT_GENSALT true)
    endif()
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.6 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client Server) # Server is used in autotests

if(FONTCONFIG_FOUND)
  # kfontinst
  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS PrintSupport)
endif()

find_package(AppStreamQt 1.0) # 1.0 will be the first release to support Qt6
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
                       TYPE OPTIONAL)

if(AppStreamQt_FOUND)
    set(HAVE_APPSTREAMQT true)
endif()

find_package(UDev REQUIRED)
set_package_properties(UDev PROPERTIES
    PURPOSE "Allows to play notification sounds when (un)plugging devices"
    TYPE REQUIRED
)

# Region & Language KCM
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # notes for packager:
    # This is the macro definition part of Region & Language KCM
    # Depending on your distributions, the KCM behaves differently
    # For Ubuntu based systems, this KCM uses "check-language-support" and PackageKit
    # to install relevant fonts and packages
    # You should enable option UBUNTU_PACKAGEKIT (it's auto detected though)
    #
    # For Glibc systems that don't come with pre-generated locales, such as ArchLinux
    # This KCM uses "/etc/locale.gen" and "locale-gen" to generate configured locales
    # and display a note to let user install fonts themselves if required
    # You shouldn't required to do anything in this case
    #
    # For Glibc systems that come with pre-generated locales, such as Fedora and openSUSE
    # a note to let user install fonts themselves if required is displayed
    # You should enable GLIBC_LOCALE_PREGENERATED option
    #
    # For non-glibc systems such as VoidLinux and *BSD
    # A warning of configure locale manually is displayed (although the relevant ENVs are set by Plasma)
    # You should disable GLIBC_LOCALE_GEN option


    # find out if the build system is Ubuntu based
    if (${CMAKE_VERSION} VERSION_LESS 3.22)
        find_program(LSB_RELEASE_EXEC lsb_release)
        execute_process(COMMAND ${LSB_RELEASE_EXEC} -is
            OUTPUT_VARIABLE DISTRO_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        string(TOLOWER "${DISTRO_NAME}" DISTRO_NAME)
    else()
        cmake_host_system_information(RESULT DISTRO_NAME QUERY DISTRIB_ID)
        cmake_host_system_information(RESULT DISTRO_ID_LIKE QUERY DISTRIB_ID_LIKE)
    endif()

    string(COMPARE EQUAL "ubuntu" "${DISTRO_NAME}" SYSTEM_UBUNTU_BASED)
    string(FIND "${DISTRO_ID_LIKE}" "ubuntu" FINDINDEX)
    if(NOT (FINDINDEX EQUAL -1))
        set(SYSTEM_UBUNTU_BASED ON)
        find_program(LANGUAGE_SELECTOR_COMMON "check-language-support" DOC "Required for ubuntu-based distros to generate locale")
    endif()

    set(UBUNTU_LOCALE FALSE)
    option(UBUNTU_PACKAGEKIT "Install required package for language on Ubuntu Based systems, PackageKitQt6 required" ${SYSTEM_UBUNTU_BASED})
    if(UBUNTU_PACKAGEKIT)
        set(UBUNTU_LOCALE ${PackageKitQt6_FOUND})
    endif()

    set(GLIBC_LOCALE_GEN_DEFAULT ON)
    if(UBUNTU_LOCALE)
        set(GLIBC_LOCALE_GEN_DEFAULT OFF)
    endif()

    option(GLIBC_LOCALE_GEN "Auto generate Glibc locale with locale-gen and /etc/locale.gen" ${GLIBC_LOCALE_GEN_DEFAULT})
    if(GLIBC_LOCALE_GEN AND UBUNTU_LOCALE)
        message(FATAL_ERROR "UBUNTU_PACKAGEKIT and GLIBC_LOCALE_GEN both enabled, only UBUNTU_PACKEGKIT will be used")
    endif()
    if(GLIBC_LOCALE_GEN)
        set(GLIBC_LOCALE_AUTO TRUE)
    endif()
    set(REGION_LANG_GENERATE_LOCALE_HELPER FALSE)
    if(UBUNTU_LOCALE OR GLIBC_LOCALE_GEN)
        set(REGION_LANG_GENERATE_LOCALE_HELPER TRUE)
    endif()

    option(GLIBC_LOCALE_PREGENERATED "Systems that don't require locale generation. Such as openSUSE or Fedora" OFF)

=== appiumtests/applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME analogclocktest
    COMMAND sh -c "mkdir -p /tmp/appium/analogclocktest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/analogclocktest.py --failfast"
)
set_tests_properties(analogclocktest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/analogclocktest;FLASK_PORT=4724")

add_test(
    NAME appmenutest
    COMMAND sh -c "mkdir -p /tmp/appium/appmenutest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/appmenutest.py --failfast"
)
set_tests_properties(appmenutest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/appmenutest;FLASK_PORT=4725;TEST_WITH_KWIN_WAYLAND=0;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME calendartest
    COMMAND sh -c "mkdir -p /tmp/appium/calendartest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/calendartest.py --failfast"
)
set_tests_properties(calendartest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/calendartest;FLASK_PORT=4726")

add_test(
    NAME cameraindicatortest
    COMMAND sh -c "mkdir -p /tmp/appium/cameraindicatortest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/cameraindicatortest.py"
)
set_tests_properties(cameraindicatortest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/cameraindicatortest;FLASK_PORT=4727;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

add_test(
    NAME clipboardtest
    COMMAND sh -c "mkdir -p /tmp/appium/clipboardtest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/clipboardtest.py"
)
set_tests_properties(clipboardtest PROPERTIES TIMEOUT 300 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/clipboardtest;FLASK_PORT=4728;QT_QPA_PLATFORM=wayland;GDK_BACKEND=wayland;GSK_RENDERER=cairo" RUN_SERIAL ON)

add_test(
    NAME devicenotifiertest
    COMMAND sh -c "mkdir -p /tmp/appium/devicenotifiertest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/devicenotifiertest.py --failfast"
)
set_tests_properties(devicenotifiertest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/devicenotifiertest;FLASK_PORT=4729")

add_test(
    NAME icontest
    COMMAND sh -c "mkdir -p /tmp/appium/icontest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/icontest.py --failfast"
)
set_tests_properties(icontest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/icontest;FLASK_PORT=4730")

add_test(
    NAME lock_logouttest
    COMMAND sh -c "mkdir -p /tmp/appium/lock_logouttest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/lock_logouttest.py --failfast"
)
set_tests_properties(lock_logouttest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/lock_logouttest;FLASK_PORT=4731")

add_test(
    NAME manage-inputmethodtest
    COMMAND sh -c "mkdir -p /tmp/appium/inputmethodtest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/manage-inputmethodtest.py --failfast"
)
set_tests_properties(manage-inputmethodtest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/inputmethodtest;FLASK_PORT=4732")

add_test(
    NAME notificationstest
    COMMAND sh -c "mkdir -p /tmp/appium/notificationstest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/notificationstest.py"
)
set_tests_properties(notificationstest PROPERTIES TIMEOUT 300 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/notificationstest;FLASK_PORT=4733;KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd" RUN_SERIAL ON)

add_test(
    NAME digitalclocktest
    COMMAND sh -c "mkdir -p /tmp/appium/digitalclocktest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/digitalclocktest.py --failfast"
)
set_tests_properties(digitalclocktest PROPERTIES TIMEOUT 300 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/digitalclocktest;FLASK_PORT=4734")

add_subdirectory(kicker)

add_test(
    NAME mediacontrollertest
    COMMAND sh -c "mkdir -p /tmp/appium/mediacontrollertest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/mediacontrollertest.py --failfast"
)
set_tests_properties(mediacontrollertest PROPERTIES TIMEOUT 300 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/mediacontrollertest;FLASK_PORT=4735;GDK_BACKEND=wayland")

add_test(
    NAME systemtraytest_x11
    COMMAND dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/systemtraytest.py --failfast
)
# StatusIcon only works with the X11 backend
set_tests_properties(systemtraytest_x11 PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0;GDK_BACKEND=x11;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" RUN_SERIAL ON)

add_test(
    NAME systemtraytest_wayland
    COMMAND dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/systemtraytest.py --failfast
)
set_tests_properties(systemtraytest_wayland PROPERTIES TIMEOUT 120 ENVIRONMENT "TEST_WITH_XWAYLAND=1;GDK_BACKEND=x11;QT_QPA_PLATFORM=wayland;CMAKE_RUNTIME_OUTPUT_DIRECTORY=${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" RUN_SERIAL ON)

add_test(
    NAME logoutgreetertest
    COMMAND sh -c "mkdir -p /tmp/appium/logoutgreetertest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/logoutgreetertest.py"
)
set_tests_properties(logoutgreetertest PROPERTIES TIMEOUT 120 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/logoutgreetertest;FLASK_PORT=4736;PLASMA_SESSION_GUI_TEST=1;KDE_INSTALL_FULL_LIBEXECDIR=${KDE_INSTALL_FULL_LIBEXECDIR}")

=== doc/kcontrol/screenlocker/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/screenlocker)

=== kcms/fonts/kconf_update/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

add_executable(plasma6.0-remove-dpi-settings)
target_sources(plasma6.0-remove-dpi-settings PRIVATE plasma6.0-remove-dpi-settings.cpp)
target_link_libraries(plasma6.0-remove-dpi-settings PRIVATE KF6::ConfigCore)

install(FILES plasma6.0-remove-dpi-settings.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(TARGETS plasma6.0-remove-dpi-settings DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin/)

=== debian/changelog ===
plasma-workspace (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:27:59 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               appmenu-gtk3-module,
               breeze-dev (>= 4:6.5.3~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kded6-dev (>= 6.18.0~),
               kirigami-addons-dev (>= 1.0.0~),
               knighttime-dev (>= 6.5.3~),
               kscreenlocker-dev (>= 6.5.3~),
               kwayland-dev (>= 4:6.5.3~),
               kwin-dev (>= 4:6.4.91~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libcrypt-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.2.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.10.0~),
               libkf6userfeedback-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libkscreen-dev (>= 4:6.5.3~),
               libksysguard-dev (>= 4:6.5.3~),
               liblayershellqtinterface-dev (>= 6.5.3~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.5.3~),
               libplasma5support-dev (>= 4:6.5.3~),
               libplasmaactivities-dev (>= 6.5.3~),
               libplasmaactivitiesstats-dev (>= 6.5.3~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.18.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison,
               qml6-module-qtquick-virtualkeyboard,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.6.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-workspace-doc (>= ${source:Version}),
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libklookandfeel6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace look and feel helper library
 This tiny library provides shared helpers for determining whether a global
 theme is light or dark. It is used by the look and feel and landing page
 configuration modules.
 .
 In the future, the library can include other global theme related features.
 For example, perhaps the look and feel manager could live in it too.
 .
 This package contains Plasma Workspace libklookandfeel library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         knighttime (>= 6.4.90~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qt6-location-plugins,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Provides: notification-daemon,
          x-session-manager,
Recommends: kde-cli-tools (>= 4:6.2.90~),
            kio-extras,
            kio-fuse,
            ksystemstats (>= 6.2.90~),
            plasma-workspace-doc (>= ${source:Version}),
            powerdevil (>= 4:6.2.90~),
            systemsettings,
Breaks: breeze (<< 4:5.23.90~),
        plasma-desktop (<< 4:6.4.90~),
        plasma-desktop-data (<< 4:5.22.90),
        plasma-workspace-data (<< 4:6.5.2-2),
        plasma-workspace-wayland,
Replaces: breeze (<< 4:5.23.90~),
          plasma-desktop (<< 4:6.4.90~),
          plasma-desktop-data (<< 4:5.22.90),
          plasma-workspace-data (<< 4:6.5.2-2),
          plasma-workspace-wayland,
Description: base for Plasma Desktop, Mobile, and Bigscreen graphical environments
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.

Package: plasma-workspace-data
Architecture: all
Depends: ${misc:Depends},
Breaks: breeze (<< 4:5.23.90~),
        plasma-desktop (<< 4:5.24.0),
        plasma-desktop-data (<< 4:6.4.90~),
        xdg-desktop-portal-kde (<< 6.2.0~),
Replaces: breeze (<< 4:5.23.90~),
          plasma-desktop (<< 4:5.24.0),
          plasma-desktop-data (<< 4:6.4.90~),
          xdg-desktop-portal-kde (<< 6.2.0~),
Description: Plasma Workspace data files
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .

## plasma-workspace 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-workspace)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)

=== debian/changelog ===
plasma-workspace (4:6.5.4-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Search for qml modules in arch dependend file paths.

 -- Sandro Knauß <hefee@debian.org>  Fri, 12 Dec 2025 09:31:03 +0100

plasma-workspace (4:6.5.4-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Scan all qml files. (Closes: #1121528)
  * Install all used qml modules in build environment.
  * Ignore all non existing qml modules.

 -- Sandro Knauß <hefee@debian.org>  Fri, 12 Dec 2025 00:51:24 +0100

plasma-workspace (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                dh-sequence-qmldeps,
                dh-sequence-sodeps,
                appmenu-gtk3-module,
-               breeze-dev (>= 4:6.5.3~),
+               breeze-dev (>= 4:6.5.4~),
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kded6-dev (>= 6.18.0~),
                kirigami-addons-dev (>= 1.0.0~),
-               knighttime-dev (>= 6.5.3~),
-               kscreenlocker-dev (>= 6.5.3~),
-               kwayland-dev (>= 4:6.5.3~),
+               knighttime-dev (>= 6.5.4~),
+               kscreenlocker-dev (>= 6.5.4~),
+               kwayland-dev (>= 4:6.5.4~),
                kwin-dev (>= 4:6.4.91~),
                libappstreamqt-dev (>= 1.0.0~),
                libcanberra-dev,
@@ -63,17 +63,17 @@
                libkf6wallet-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libkpipewire-dev (>= 6.4.91~),
-               libkscreen-dev (>= 4:6.5.3~),
-               libksysguard-dev (>= 4:6.5.3~),
-               liblayershellqtinterface-dev (>= 6.5.3~),
+               libkscreen-dev (>= 4:6.5.4~),
+               libksysguard-dev (>= 4:6.5.4~),
+               liblayershellqtinterface-dev (>= 6.5.4~),
                libpackagekitqt6-dev,
                libphonon4qt6-dev (>= 4:4.6.60~),
                libphonon4qt6experimental-dev,
                libpipewire-0.3-dev,
-               libplasma-dev (>= 6.5.3~),
-               libplasma5support-dev (>= 4:6.5.3~),
-               libplasmaactivities-dev (>= 6.5.3~),
-               libplasmaactivitiesstats-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasma5support-dev (>= 4:6.5.4~),
+               libplasmaactivities-dev (>= 6.5.4~),
+               libplasmaactivitiesstats-dev (>= 6.5.4~),
                libpolkit-qt6-1-dev,
                libqalculate-dev (>= 2.0~),
                libquickcharts-dev (>= 6.18.0~),
@@ -96,6 +96,7 @@
                libxft-dev,
                libxrender-dev,
                libxtst-dev,
+               milou,
                pkgconf,
                plasma-wayland-protocols (>= 1.6~),
                qcoro-qt6-dev,

## plasma-workspace 6.5.4+p24.04+vstable+git20251226.0414

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20251226.0414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 04:14:48 +0000

plasma-workspace (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:04 +1000

plasma-workspace (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:47 +1000

plasma-workspace (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:03 +1000

## plasma-workspace 6.5.4+p24.04+vstable+git20251231.0556

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20251231.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:56:50 +0000

## plasma-workspace 6.5.4+p24.04+vstable+git20260105.1214

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:47 +0000

## plasma-workspace 6.5.4+p24.04+vstable+git20260107.1055

=== debian/changelog ===
plasma-workspace (4:6.5.4+p24.04+vstable+git20260107.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 10:55:37 +0000
